mkinitrd unification across distributions
 help / color / mirror / Atom feed
From: Dennis Schridde <devurandom-hi6Y0CQ0nG0@public.gmane.org>
To: initramfs-u79uwXL29TY76Z2rM5mHXA@public.gmane.org
Cc: Dennis Schridde <devurandom-hi6Y0CQ0nG0@public.gmane.org>
Subject: [PATCH] [40network] Fix ifup.sh to always execute initqueue/online hook after bringing up an interface
Date: Thu, 11 Apr 2013 17:41:34 +0200	[thread overview]
Message-ID: <1365694894-7926-1-git-send-email-devurandom@gmx.net> (raw)

---
 modules.d/40network/ifup.sh | 20 +++++++-------------
 1 file changed, 7 insertions(+), 13 deletions(-)

diff --git a/modules.d/40network/ifup.sh b/modules.d/40network/ifup.sh
index 526251f..13be22a 100755
--- a/modules.d/40network/ifup.sh
+++ b/modules.d/40network/ifup.sh
@@ -307,19 +307,13 @@ for p in $(getargs ip=); do
             do_static ;;
     esac
 
-    case $autoconf in
-        dhcp|on|any|dhcp6)
-            ;;
-        *)
-            if [ $? -eq 0 ]; then
-                setup_net $netif
-                source_hook initqueue/online $netif
-                if [ -z "$manualup" ]; then
-                    /sbin/netroot $netif
-                fi
-            fi
-            ;;
-    esac
+    if [ $? -eq 0 ]; then
+        setup_net $netif
+        source_hook initqueue/online $netif
+        if [ -z "$manualup" ]; then
+            /sbin/netroot $netif
+        fi
+    fi
 
     break
 done
-- 
1.8.1.5

             reply	other threads:[~2013-04-11 15:41 UTC|newest]

Thread overview: 6+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2013-04-11 15:41 Dennis Schridde [this message]
     [not found] ` <1365694894-7926-1-git-send-email-devurandom-hi6Y0CQ0nG0@public.gmane.org>
2013-04-11 15:44   ` [PATCH] [40network] Fix ifup.sh to always execute initqueue/online hook after bringing up an interface Harald Hoyer
     [not found]     ` <5166DA48.20803-H+wXaHxf7aLQT0dZR+AlfA@public.gmane.org>
2013-04-11 16:13       ` Dennis Schridde
2013-04-30 19:25         ` Will Woods
     [not found]           ` <1367349915.2614.5.camel-s6BhOCdKmxS3M6m420IelR/sF2h8X+2i0E9HWUfgJXw@public.gmane.org>
2013-05-17 16:13             ` Dennis Schridde
2013-04-11 15:45   ` Dennis Schridde

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1365694894-7926-1-git-send-email-devurandom@gmx.net \
    --to=devurandom-hi6y0cq0ng0@public.gmane.org \
    --cc=initramfs-u79uwXL29TY76Z2rM5mHXA@public.gmane.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox